Bug 1794476 - postfix-3.4.8-2.fc32 FTBFS: /usr/bin/ld: anvil_clnt.o: /.../postfix-3.4.8/src/global/./mail_params.h:3999: multiple definition of `var_tlsp_clnt_policy'; abounce.o:/.../postfix-3.4.8/src/global/./mail_params.h:3999: first defined here
Summary: postfix-3.4.8-2.fc32 FTBFS: /usr/bin/ld: anvil_clnt.o: /.../postfix-3.4.8/src...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-23 16:53 UTC by Petr Pisar
Modified: 2020-02-17 11:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-17 11:00:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-01-23 16:53:14 UTC
postfix-3.4.8-2.fc32 fails to build with GCC 10 in Fedora 32:

gcc -shared -Wl,-soname,libpostfix-global.so -Wl,-rpath,/usr/lib64/postfix -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -Wl,-z,relro,-z,now -o libpostfix-global.so abounce.o anvil_clnt.o been_here.o bounce.o bounce_log.o canon_addr.o cfg_parser.o cleanup_strerror.o cleanup_strflags.o clnt_stream.o conv_time.o db_common.o debug_peer.o debug_process.o defer.o deliver_completed.o deliver_flock.o deliver_pass.o deliver_request.o dict_proxy.o domain_list.o dot_lockfile.o dot_lockfile_as.o dsb_scan.o dsn.o dsn_buf.o dsn_mask.o dsn_print.o dsn_util.o ehlo_mask.o ext_prop.o file_id.o flush_clnt.o header_opts.o header_token.o input_transp.o int_filt.o is_header.o log_adhoc.o mail_addr.o mail_addr_crunch.o mail_addr_find.o mail_addr_map.o mail_command_client.o mail_command_server.o mail_conf.o mail_conf_bool.o mail_conf_int.o mail_conf_long.o mail_conf_raw.o mail_conf_str.o mail_conf_time.o mail_connect.o mail_copy.o mail_date.o mail_dict.o mail_error.o mail_flush.o mail_open_ok.o mail_params.o mail_pathname.o mail_queue.o mail_run.o mail_scan_dir.o mail_stream.o mail_task.o mail_trigger.o maps.o mark_corrupt.o match_parent_style.o mbox_conf.o mbox_open.o mime_state.o mkmap_db.o mkmap_dbm.o mkmap_open.o msg_stats_print.o msg_stats_scan.o mynetworks.o mypwd.o namadr_list.o off_cvt.o opened.o own_inet_addr.o pipe_command.o post_mail.o quote_821_local.o quote_822_local.o rcpt_buf.o rcpt_print.o rec_attr_map.o rec_streamlf.o rec_type.o recipient_list.o record.o remove.o resolve_clnt.o resolve_local.o rewrite_clnt.o scache_clnt.o scache_multi.o scache_single.o sent.o smtp_stream.o split_addr.o string_list.o strip_addr.o sys_exits.o timed_ipc.o tok822_find.o tok822_node.o tok822_parse.o tok822_resolve.o tok822_rewrite.o tok822_tree.o trace.o user_acl.o valid_mailhost_addr.o verify.o verify_clnt.o verp_sender.o wildcard_inet_addr.o xtext.o delivered_hdr.o fold_addr.o header_body_checks.o mkmap_proxy.o data_redirect.o match_service.o mail_conf_nint.o addr_match_list.o mail_conf_nbool.o smtp_reply_footer.o safe_ultostr.o verify_sender_addr.o dict_memcache.o mail_version.o memcache_proto.o server_acl.o mkmap_fail.o haproxy_srvr.o dsn_filter.o dynamicmaps.o uxtext.o smtputf8.o attr_override.o mail_parm_split.o midna_adomain.o  mail_addr_form.o quote_flags.o maillog_client.o -lnsl -L/usr/lib64/sasl2 -lsasl2 -lssl -lcrypto -ldb -lnsl -lresolv -ldl -licui18n -licuuc -licudata
/usr/bin/ld: anvil_clnt.o: in function `$d':
/builddir/build/BUILD/postfix-3.4.8/src/global/./mail_params.h:3999: multiple definition of `var_tlsp_clnt_policy'; abounce.o:/builddir/build/BUILD/postfix-3.4.8/src/global/./mail_params.h:3999: first defined here

Comment 1 Ben Cotton 2020-02-11 17:26:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:30:36 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Jaroslav Škarvada 2020-02-17 11:00:33 UTC
The postfix-3.4.9-1 has been successfully built in f32 and f33, so closing. If the problem persists feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.